# Readme

## Introduction

**ipoly** (Polymorphic inputs) is a Python package aimed at making various data science tasks easier for users. With ipoly, data scientists can perform tasks such as web scraping, creating models with Tensorflow, visualizing data, handling exceptions, managing various file types, and sending emails, notifications, and generating PDF or LaTeX documents all within Python. The package aims to provide a simple and intuitive interface for these tasks, making it easier for data scientists to focus on what really matters: the data.

## Installation

```shell
pip install ipoly
```

## Some Features

- Input polymorphism
- Type checking
- Dynamic input capturing
- Web scraping
- Model creation with Tensorflow
- Data visualization
- Exception handling
- Easy handling of file types
- Sending emails and notifications
- Generating PDF or LaTeX

## Documentation

Further documentation can be found [here](<https://ipoly.readthedocs.io/en/latest/source/ipoly.html>).

## Requirements

ipoly requires Python 3.10 or higher.

## Contributing

We would like to extend our thanks to the following contributors for helping to make ipoly better:

<center><a href="https://github.com/Danguilhen/ipoly/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=Danguilhen/ipoly" />
</a></center>

If you'd like to contribute to the development of ipoly, please see the [contributing guidelines](<https://ipoly.readthedocs.io/en/latest/contributing.html>).

## License

ipoly is licensed under the [MIT License](https://ipoly.readthedocs.io/en/latest/license.html).
